#include <iostream>
#include <TCanvas.h>
#include <TROOT.h>
#include <TStyle.h>
#include <TApplication.h>
#include <vector>


#include "Garfield/MediumMagboltz.hh"
#include "Garfield/ViewMedium.hh"
#include "Garfield/FundamentalConstants.hh"



using namespace Garfield;
using namespace std;

	
int main(int argc, char * argv[]) {

  TApplication app("app", &argc, argv);
 
  vector<string> g={"Ar_760 torr", "Ar_3*760 torr"};
  vector<string> D={"Ar_760 torr_Dl","Ar_760 torr_Dt", "Ar_3*760 torr_Dl","Ar_3*760 torr_Dt"};
 
  MediumMagboltz gas;
  
  
  ViewMedium view;
  view.SetMedium(&gas);
  
  
  gas.LoadGasFile("ar_760");  
  
  TCanvas c1("c1","",800,800);
  view.SetCanvas(&c1);
  view.SetLabels(g);
  view.PlotElectronVelocity('e');

  gas.LoadGasFile("ar");
  view.PlotElectronVelocity('e',true);
  
  TCanvas c2("c2","", 800, 800);
  view.SetCanvas(&c2);
  view.SetLabels(D);
  
  gas.LoadGasFile("ar_760");
  view.PlotElectronDiffusion('e');
  
  gas.LoadGasFile("ar");
  view.PlotElectronDiffusion('e',true);
  
  TCanvas c3("c3","", 800, 800);
  view.SetCanvas(&c3);
  view.SetLabels(g);
  gas.LoadGasFile("ar_760");
  view.PlotElectronTownsend('e');
  
  gas.LoadGasFile("ar");
  view.PlotElectronTownsend('e',true);
  
  TCanvas c4("c4","",800,800);
  view.SetCanvas(&c4);
  
  gas.LoadGasFile("ar_760");
  view.PlotElectronAttachment('e');

  gas.LoadGasFile("ar");
  view.PlotElectronAttachment('e',true);
  
  app.Run();
  
  
  }

